Skip to content

HTTP API reference

HTTP API reference--auto-generated from the generated OpenAPI spec.

This file is generated from the generated OpenAPI spec by bun run docs:api. Do not edit by hand — changes will be overwritten on the next CI run.

Authentication

All endpoints are protected by OPENCORVUS_SERVER_PASSWORD when it is set. Clients must use HTTP Basic Auth with username OPENCORVUS_SERVER_USERNAME or the default opencorvus, and password = OPENCORVUS_SERVER_PASSWORD.

Directory Scope

OpenAPI marks project-scoped operations with a directory query parameter. These task record routes are keyed by taskID and do not require directory: GET /task/{taskID}, /status, /board, /progress, /events, /brief, /transcript, /interactions, /bindings, /operator-model-context, and task conversation read routes. Project lists, task creation, task writes, browser preview routes, and project archive downloads remain project-scoped.

Endpoints

Global

MethodPathSummaryoperationId
GET/eventSubscribe to eventsevent.subscribe
GET/global/agentsList primary assistants for global configurationglobal.agents.list
GET/global/automationsList scheduled automations Errors: BadRequestError.global.automations.list
POST/global/automationsCreate a scheduled automation Body: executionMode, model, name, prompt, reasoningEffort, recurrence, target; Errors: BadRequestError, LogFileNotFoundError, NotFoundError.global.automations.create
DELETE/global/automations/{id}Delete a scheduled automation Errors: BadRequestError, LogFileNotFoundError, NotFoundError, TaskCancellationIncompleteError.global.automations.delete
PATCH/global/automations/{id}Update a scheduled automation Body: executionMode, model, name, prompt, reasoningEffort, recurrence, status, target; Errors: BadRequestError, LogFileNotFoundError, NotFoundError, TaskCancellationIncompleteError.global.automations.update
POST/global/automations/{id}/runRun a scheduled automation now Errors: BadRequestError, LogFileNotFoundError, NotFoundError, TaskCancellationIncompleteError.global.automations.run
GET/global/automations/{id}/runsList scheduled automation runs Errors: BadRequestError, LogFileNotFoundError, NotFoundError.global.automations.runs
POST/global/chatCreate Chat in a temporary project Body: model; Errors: BadRequestError.global.chat.create
GET/global/composer-expert-squadsSearch global Composer expert squads Errors: BadRequestError, UnknownError.global.composerExpertSquads
GET/global/composer-referencesList global Composer references Errors: UnknownError.global.composerReferences
GET/global/configGet global configuration Errors: NonCanonicalConfigFileError.global.config.get
PATCH/global/configUpdate global configuration Errors: AuthReadError, BadRequestError, NonCanonicalConfigFileError.global.config.update
GET/global/db/mysql/exportExport MySQL transfer snapshotglobal.db.mysql.export
POST/global/db/mysql/importImport MySQL transfer snapshot Body: snapshot; Errors: BadRequestError, OwnedPromptControllersError.global.db.mysql.import
GET/global/db/mysql/schemaExport MySQL staging schemaglobal.db.mysql.schema
POST/global/disposeDispose instance Errors: OwnedPromptControllersError.global.dispose
GET/global/eventGet global eventsglobal.event
GET/global/healthGet healthglobal.health
POST/global/projects/anonymousCreate an anonymous projectglobal.projects.anonymous
GET/global/projects/discoverDiscover local OpenCorvus projects Errors: BadRequestError, UnknownError.global.projects.discover
GET/global/providersList providers for a new global taskglobal.providers.list
GET/global/providers/authGet global Provider auth methodsglobal.providers.auth
POST/global/providers/discover-modelsDiscover global Provider models Body: api, apiKey, providerID; Errors: AuthReadError, BadRequestError.global.providers.discover.models
POST/global/providers/models/refreshRefresh global configured provider model lists Errors: AuthReadError.global.providers.models.refresh
POST/global/providers/refreshRefresh the global provider registryglobal.providers.refresh
DELETE/global/providers/{providerID}Delete a global provider Errors: AuthReadError, BadRequestError.global.providers.remove
GET/global/providers/{providerID}/account-usageGet global Provider account usage Errors: AuthReadError.global.providers.account.usage
POST/global/providers/{providerID}/auth/executeExecute global Provider auth Body: inputs, method; Errors: AuthReadError, BadRequestError.global.providers.auth.execute
POST/global/providers/{providerID}/auth/promptsGet global Provider auth prompts Body: inputs, method; Errors: BadRequestError.global.providers.auth.prompts
POST/global/providers/{providerID}/oauth/authorizeAuthorize a global Provider subscription Body: inputs, method; Errors: BadRequestError.global.providers.oauth.authorize
POST/global/providers/{providerID}/oauth/callbackComplete global Provider subscription authorization Body: code, method; Errors: AuthReadError, BadRequestError.global.providers.oauth.callback
POST/global/providers/{providerID}/testTest a global Provider connection Body: modelID; Errors: AuthReadError, BadRequestError.global.providers.test
POST/global/skill/installInstall a global Skill market source Body: kind, policy, value; Errors: BadRequestError.global.skill.install
GET/global/skill/marketList the global Skill marketglobal.skill.market
GET/global/tasksList tasks across projectstask.global.list
POST/global/tasksCreate a task in an implicit project Body: artifactSources, attachments, budget, channelBinding, checks, directory, expectedPackageDigest, metadata, model, priority, productPillar, project, promptProfile, request, requestID, source, title; Errors: BadRequestError, ExternalChildTaskLineageError, LogFileNotFoundError, NotFoundError, TaskCreationIdempotencyConflictError, TaskCreatorAuthorityError, TaskCreatorSessionError, TaskExpectedPackageDigestConflictError, TaskPackageRevisionBindingError.task.global.create
GET/global/usageGet natural-period Provider usage Errors: BadRequestError.global.usage
POST/global/workCreate Work in a temporary project Body: model; Errors: BadRequestError.global.work.create
POST/instance/disposeDispose instance Errors: OwnedPromptControllersError.instance.dispose
GET/logRead logs Errors: BadRequestError, LogFileNotFoundError, NotFoundError.log.read
POST/logWrite log batch Body: entries; Errors: BadRequestError, LogFileNotFoundError, NotFoundError.app.log
GET/log/exportExport log support bundlelog.export
GET/log/filesList log fileslog.files
GET/log/tailRead recent logs Errors: LogFileNotFoundError, NotFoundError.log.tail
POST/restartRestart the serverserver.restart
POST/shutdownShutdown the serverserver.shutdown

Authentication

MethodPathSummaryoperationId
DELETE/auth/{providerID}Remove auth credentials Errors: AuthReadError, BadRequestError.auth.remove
PUT/auth/{providerID}Set auth credentials Errors: AuthReadError, BadRequestError.auth.set

Configuration

MethodPathSummaryoperationId
GET/commandList commands Errors: UnknownError.command.list
GET/configGet configuration Errors: AuthReadError, NonCanonicalConfigFileError.config.get
PATCH/configUpdate configuration (JSON Merge Patch) Errors: AuthReadError, BadRequestError, NonCanonicalConfigFileError.config.update
GET/config/promptList prompt catalog Errors: AuthReadError.config.prompt
GET/config/providersList config providers Errors: AuthReadError.config.providers
POST/config/proxy/testTest network proxy Errors: NetworkProxyTestResponse.config.proxy.test
GET/formatterGet formatter statusformatter.status
GET/pathGet pathspath.get

Project

MethodPathSummaryoperationId
GET/projectList all projectsproject.list
DELETE/project/currentDelete current project Body: reason, surface; Errors: BadRequestError, LogFileNotFoundError, NotFoundError, TaskCancellationIncompleteError.project.current.delete
GET/project/currentGet current projectproject.current
PATCH/project/currentUpdate current project Body: name; Errors: BadRequestError, LogFileNotFoundError, NotFoundError.project.current.update
GET/project/current/cleanup-candidatesInspect current project cleanup candidates Errors: BadRequestError, LogFileNotFoundError, NotFoundError, WorktreeOwnershipObservationError.project.current.cleanupCandidates
POST/project/current/init-gitInitialize git in current directory Errors: BadRequestError, LogFileNotFoundError, NotFoundError.project.current.initGit
POST/project/current/promote-anonymousConvert current anonymous project to a named project Body: destinationParent, name; Errors: BadRequestError, LogFileNotFoundError, NotFoundError, TaskCancellationIncompleteError.project.current.promoteAnonymous
DELETE/project/current/worktreesDelete a current project worktree Errors: BadRequestError, LogFileNotFoundError, NotFoundError, WorktreeOwnershipObservationError.project.current.worktrees.delete
GET/project/current/worktreesList current project worktrees Errors: BadRequestError, LogFileNotFoundError, NotFoundError.project.current.worktrees
PATCH/project/{projectID}Update project Body: commands, icon, name; Errors: BadRequestError, LogFileNotFoundError, NotFoundError.project.update
GET/vcsGet VCS info Errors: UnknownError.vcs.get
POST/vcs/branchSwitch local VCS branch Body: branch; Errors: UnknownError, VcsPrerequisiteError.vcs.switchBranch
GET/vcs/branchesList local VCS branches Errors: UnknownError, VcsPrerequisiteError.vcs.branches
POST/vcs/commitCommit current VCS changes Body: message; Errors: UnknownError, VcsPrerequisiteError.vcs.commit
POST/vcs/commit-message/streamGenerate a Git commit message with streaming AI Body: sessionID, taskID; Errors: UnknownError.vcs.commitMessage.stream
GET/vcs/diffGet VCS diff Errors: UnknownError, VcsPrerequisiteError.vcs.diff
POST/vcs/pushPush current VCS branch Errors: UnknownError, VcsPrerequisiteError.vcs.push

Task / Orchestrator

MethodPathSummaryoperationId
DELETE/goal/{goalID}Delete goal Errors: LogFileNotFoundError, NotFoundError.goal.delete
PATCH/goal/{goalID}Update goal title Body: title; Errors: LogFileNotFoundError, NotFoundError.goal.updateTitle
POST/interaction/{interactionID}/rejectReject interaction Body: message; Errors: BadRequestError, LogFileNotFoundError, NotFoundError.interaction.reject
POST/interaction/{interactionID}/replyReply to interaction Body: answers, decision, message; Errors: BadRequestError, LogFileNotFoundError, NotFoundError.interaction.reply
DELETE/mailboxDelete selected mailbox items Body: messageIDs; Errors: BadRequestError, LogFileNotFoundError, NotFoundError.mailbox.deleteMany
GET/mailboxList the global mailbox Errors: BadRequestError.mailbox.list
PATCH/mailbox/read-allMark all active mailbox items as readmailbox.readAll
DELETE/mailbox/{messageID}Delete a mailbox item Errors: BadRequestError, LogFileNotFoundError, NotFoundError.mailbox.delete
PATCH/mailbox/{messageID}Update a mailbox item Body: action; Errors: BadRequestError, LogFileNotFoundError, NotFoundError.mailbox.acknowledge
GET/missionList Missionsmission.list
POST/mission/draftCreate a Mission draft Body: expertSquadIDs, productPillar, request, title; Errors: BadRequestError.mission.createDraft
POST/mission/wakeWake the Mission agent Body: attachments, expertSquadIDs, missionID, model, productPillar, text; Errors: AuthReadError, BadRequestError, MissionExecutionClosingError, MissionExpertSquadSnapshotMismatchError.mission.wake
DELETE/mission/{missionID}Delete a Mission Body: reason, surface; Errors: BadRequestError, LogFileNotFoundError, NotFoundError, TaskCancellationIncompleteError.mission.delete
POST/mission/{missionID}/abortAbort a Mission Body: reason, surface; Errors: BadRequestError, LogFileNotFoundError, NotFoundError, TaskCancellationIncompleteError.mission.abort
GET/mission/{missionID}/activity-cursorGet Mission durable activity cursor Errors: LogFileNotFoundError, NotFoundError.mission.activityCursor
PATCH/mission/{missionID}/archiveArchive or restore a Mission Body: archived, reason, surface; Errors: BadRequestError, LogFileNotFoundError, NotFoundError, TaskCancellationIncompleteError.mission.setArchived
POST/mission/{missionID}/dispatchDispatch a Mission draft Body: model; Errors: AuthReadError, BadRequestError, LogFileNotFoundError, MissionExecutionClosingError, NotFoundError.mission.dispatch
GET/mission/{missionID}/project-archiveDownload Mission project archive Errors: LogFileNotFoundError, NotFoundError.mission.projectArchive
GET/mission/{missionID}/statusGet Mission status Errors: LogFileNotFoundError, NotFoundError.mission.status
PATCH/mission/{missionID}/titleRename a Mission Body: title; Errors: LogFileNotFoundError, NotFoundError.mission.rename
POST/taskCreate task Body: artifactSources, attachments, budget, channelBinding, checks, directory, expectedPackageDigest, metadata, model, priority, productPillar, project, promptProfile, request, requestID, source, title; Errors: BadRequestError, ExternalChildTaskLineageError, LogFileNotFoundError, NotFoundError, TaskCreationIdempotencyConflictError, TaskCreatorAuthorityError, TaskCreatorSessionError, TaskExpectedPackageDigestConflictError, TaskPackageRevisionBindingError.task.create
DELETE/task/{taskID}Delete task Body: reason, surface; Errors: BadRequestError, LogFileNotFoundError, NotFoundError, TaskArtifactDeletionCommittedError, TaskCancellationIncompleteError, UnknownError.task.delete
GET/task/{taskID}Get task Errors: LogFileNotFoundError, NotFoundError.task.get
PATCH/task/{taskID}/archiveArchive or restore task Body: archived, reason, surface; Errors: BadRequestError, LogFileNotFoundError, NotFoundError, TaskCancellationIncompleteError.task.setArchived
POST/task/{taskID}/artifact-readRead one exact Task deliverable Artifact chunk Body: byte_offset, locator, max_bytes; Errors: BadRequestError, LogFileNotFoundError, NotFoundError, UnknownError.task.readConversationArtifact
GET/task/{taskID}/bindingsList channel bindings for a tasktask.bindings
GET/task/{taskID}/boardGet task board Errors: LogFileNotFoundError, NotFoundError.task.board
GET/task/{taskID}/briefGet task brief Errors: LogFileNotFoundError, NotFoundError.task.brief
GET/task/{taskID}/browser-previewResolve task browser preview target Errors: BadRequestError, BrowserPreviewEvidenceCorruptionError, BrowserPreviewTargetCorruptionError, LogFileNotFoundError, NotFoundError.browserPreview.taskTarget
POST/task/{taskID}/browser-preview/captureCapture browser preview verification evidence Body: targetID, viewportIDs; Errors: BadRequestError, BrowserPreviewTargetCorruptionError, LogFileNotFoundError, NotFoundError.browserPreview.captureTaskTarget
POST/task/{taskID}/browser-preview/compareCompare browser preview regions against source visual evidence Body: inlineBindings, output, targetID; Errors: BadRequestError, BrowserPreviewTargetCorruptionError, LogFileNotFoundError, NotFoundError.browserPreview.compareTaskTargetRegions
GET/task/{taskID}/browser-preview/evidence/{evidenceID}Read browser preview verification evidence Errors: BadRequestError, BrowserPreviewEvidenceCorruptionError, LogFileNotFoundError, NotFoundError.browserPreview.readTaskEvidence
GET/task/{taskID}/browser-preview/evidence/{evidenceID}/artifact/{artifactName}Read browser preview region comparison artifact Errors: BrowserPreviewEvidenceCorruptionError, LogFileNotFoundError, NotFoundError.browserPreview.readTaskEvidenceArtifact
GET/task/{taskID}/browser-preview/evidence/{evidenceID}/capture.pngRead browser preview evidence screenshot Errors: BrowserPreviewEvidenceCorruptionError, LogFileNotFoundError, NotFoundError.browserPreview.readTaskEvidenceCapture
PUT/task/{taskID}/browser-preview/targetSet task browser preview target Body: targetID, url, viewports; Errors: BrowserPreviewTargetCorruptionError, LogFileNotFoundError, NotFoundError.browserPreview.selectTaskTarget
PATCH/task/{taskID}/budgetUpdate task budget Body: budget; Errors: LogFileNotFoundError, NotFoundError.task.updateBudget
GET/task/{taskID}/build-observation/{artifactID}/contentRead an exact Build observation content range Errors: BadRequestError, LogFileNotFoundError, NotFoundError.task.buildObservationContent
POST/task/{taskID}/cancelCancel task Body: reason, surface; Errors: BadRequestError, LogFileNotFoundError, NotFoundError, TaskCancellationIncompleteError.task.cancel
GET/task/{taskID}/conversationHydrate task conversation state Errors: LogFileNotFoundError, NotFoundError.task.conversation
GET/task/{taskID}/conversation/eventsPage task conversation replay events Errors: LogFileNotFoundError, NotFoundError.task.conversation.events
GET/task/{taskID}/conversation/historyPage older task conversation transcript Errors: LogFileNotFoundError, NotFoundError.task.conversation.history
GET/task/{taskID}/conversation/session/{sessionID}Get one task conversation session transcript Errors: LogFileNotFoundError, NotFoundError.task.conversation.session
GET/task/{taskID}/debug/task-root-ingressesGet Task-root ingress debug projection Errors: LogFileNotFoundError, NotFoundError.task.debug.taskRootIngresses
GET/task/{taskID}/eventsSubscribe to task eventstask.events
POST/task/{taskID}/injectInject message into running task Body: message; Errors: BadRequestError, LogFileNotFoundError, NotFoundError, TaskCancellationIncompleteError.task.inject
GET/task/{taskID}/interactionsList task interactions Errors: LogFileNotFoundError, NotFoundError.task.interactions
POST/task/{taskID}/messageHandle task message Body: attachments, channel, metadata, model, resolvedRole, source, text, user_id; Errors: BadRequestError, LogFileNotFoundError, NotFoundError, TaskCancellationIncompleteError, TaskPackageRevisionBindingError.task.message
GET/task/{taskID}/operator-model-contextGet task operator model context Errors: BadRequestError, LogFileNotFoundError, NotFoundError, TaskCancellationIncompleteError.task.operatorModelContext
GET/task/{taskID}/progressGet task progress Errors: LogFileNotFoundError, NotFoundError.task.progress
GET/task/{taskID}/project-archiveDownload task project archive Errors: LogFileNotFoundError, NotFoundError.task.projectArchive
POST/task/{taskID}/rewindRewind the visible Task conversation timeline Body: anchor, reason; Errors: LogFileNotFoundError, NotFoundError.task.rewind
POST/task/{taskID}/rewind/clearClear the Task conversation visibility cursor Errors: LogFileNotFoundError, NotFoundError.task.clearRewindCursor
POST/task/{taskID}/session/{sessionID}/cancelCancel a task agent session Errors: BadRequestError, LogFileNotFoundError, NotFoundError, TaskCancellationIncompleteError.task.session.cancel
POST/task/{taskID}/session/{sessionID}/operator-steerSteer a task agent session through operator coordination Body: message; Errors: BadRequestError, LogFileNotFoundError, NotFoundError, OperatorSteerTargetError, TaskCancellationIncompleteError.task.session.operatorSteer
GET/task/{taskID}/statusGet task status Errors: LogFileNotFoundError, NotFoundError.task.status
PATCH/task/{taskID}/titleUpdate task title Body: title; Errors: BadRequestError, LogFileNotFoundError, NotFoundError.task.updateTitle
GET/task/{taskID}/traceGet task AgentTrace events (all sessions) Errors: LogFileNotFoundError, NotFoundError.task.trace
GET/task/{taskID}/transcriptGet task transcript Errors: LogFileNotFoundError, NotFoundError.task.transcript
GET/task/{taskID}/turn-artifactsProject terminal artifacts onto the owning Task turn Errors: LogFileNotFoundError, NotFoundError.task.turnArtifacts
GET/tasksList project taskstask.list
GET/work-ledgerList Work Ledger rows Errors: BadRequestError.workLedger.list
GET/work-ledger/archiveList archived Work Ledger rows Errors: BadRequestError.workLedger.listArchived
GET/work-ledger/eventsSubscribe to Work Ledger change notificationsworkLedger.events
PATCH/work-ledger/item/{kind}/{itemID}/pinPin or unpin a Work Ledger item Body: pinned; Errors: BadRequestError, LogFileNotFoundError, NotFoundError.workLedger.setItemPinned
PATCH/work-ledger/project/{projectID}/pinPin or unpin a Work Ledger project Body: pinned; Errors: BadRequestError, LogFileNotFoundError, NotFoundError.workLedger.setProjectPinned

Session

MethodPathSummaryoperationId
GET/sessionList sessionssession.list
POST/sessionCreate session Body: kind, metadata, parentID, permission, title; Errors: BadRequestError, MissionSessionAuthorityError.session.create
GET/session/globalList sessions across projects Errors: BadRequestError.session.listGlobal
GET/session/statusGet session status Errors: BadRequestError.session.status
DELETE/session/{sessionID}Delete session Errors: BadRequestError, LogFileNotFoundError, MissionSessionAuthorityError, NotFoundError, TaskArtifactDeletionCommittedError, TaskBoundSessionDeletionError, TaskCancellationIncompleteError, UnknownError.session.delete
GET/session/{sessionID}Get session Errors: BadRequestError, LogFileNotFoundError, NotFoundError.session.get
PATCH/session/{sessionID}Update session Body: time, title; Errors: BadRequestError, LogFileNotFoundError, MissionSessionAuthorityError, NotFoundError.session.update
POST/session/{sessionID}/abortAbort session Errors: BadRequestError, LogFileNotFoundError, MissionSessionAuthorityError, NotFoundError, TaskCancellationIncompleteError.session.abort
GET/session/{sessionID}/childrenGet session children Errors: BadRequestError, LogFileNotFoundError, NotFoundError.session.children
POST/session/{sessionID}/commandSend command Body: agent, arguments, command, messageID, model, parts, variant; Errors: BadRequestError, LogFileNotFoundError, MissionSessionAuthorityError, NotFoundError.session.command
GET/session/{sessionID}/configGet session effective configuration Errors: AuthReadError, BadRequestError, LogFileNotFoundError, NotFoundError.session.config.get
PATCH/session/{sessionID}/configUpdate session configuration overlay Body: agent, expert_squads, model, prompt, prompt_profile, runtime_templates, skill_mounts; Errors: AuthReadError, BadRequestError, LogFileNotFoundError, NotFoundError, TaskPackageRevisionBindingError, TaskPromptProfileImmutableError.session.config.update
GET/session/{sessionID}/conversationHydrate session conversation state Errors: LogFileNotFoundError, NotFoundError.session.conversation
GET/session/{sessionID}/conversation/historyPage older session conversation transcript Errors: LogFileNotFoundError, NotFoundError.session.conversation.history
GET/session/{sessionID}/diffGet message diffsession.diff
GET/session/{sessionID}/eventsSubscribe to session eventssession.events
POST/session/{sessionID}/forkFork session Body: messageID; Errors: MissionSessionAuthorityError.session.fork
POST/session/{sessionID}/initInitialize session Body: messageID, modelID, providerID; Errors: BadRequestError, LogFileNotFoundError, MissionSessionAuthorityError, NotFoundError.session.init
GET/session/{sessionID}/interactive-artifact/{artifactID}Read session interactive artifact Errors: BadRequestError, InteractiveArtifactCorruptionError, LogFileNotFoundError, NotFoundError.interactiveArtifact.readSessionArtifact
GET/session/{sessionID}/interactive-artifact/{artifactID}/mcp-app/eventsSubscribe to MCP App capability changes Errors: BadRequestError, LogFileNotFoundError, NotFoundError.interactiveArtifact.eventsMcpApp
POST/session/{sessionID}/interactive-artifact/{artifactID}/mcp-app/requestForward an MCP App request Errors: BadRequestError, LogFileNotFoundError, McpAppHostForbiddenError, NotFoundError, UnknownError.interactiveArtifact.requestMcpApp
GET/session/{sessionID}/messageGet session messages Errors: BadRequestError, LogFileNotFoundError, NotFoundError.session.messages
POST/session/{sessionID}/messageSend message Body: agent, format, messageID, model, parts, variant; Errors: AuthReadError, BadRequestError, LogFileNotFoundError, NotFoundError, PublicSessionPromptIdentityConflictError.session.prompt
DELETE/session/{sessionID}/message/{messageID}Delete message Errors: BadRequestError, LogFileNotFoundError, NotFoundError.session.deleteMessage
GET/session/{sessionID}/message/{messageID}Get message Errors: BadRequestError, LogFileNotFoundError, NotFoundError.session.message
DELETE/session/{sessionID}/message/{messageID}/part/{partID}(no summary) Errors: BadRequestError, LogFileNotFoundError, NotFoundError.part.delete
PATCH/session/{sessionID}/message/{messageID}/part/{partID}(no summary) Errors: BadRequestError, LogFileNotFoundError, NotFoundError.part.update
POST/session/{sessionID}/shellRun shell command Body: agent, command, model; Errors: BadRequestError, LogFileNotFoundError, MissionSessionAuthorityError, NotFoundError.session.shell
POST/session/{sessionID}/summarizeSummarize session Body: auto, focus, modelID, providerID; Errors: BadRequestError, LogFileNotFoundError, MissionSessionAuthorityError, NotFoundError.session.summarize
GET/session/{sessionID}/todoGet session todos Errors: BadRequestError, LogFileNotFoundError, NotFoundError.session.todo
GET/session/{sessionID}/traceGet session AgentTrace eventssession.trace
GET/session/{sessionID}/turn-artifactsProject Mission child Task artifacts onto their owning turns Errors: LogFileNotFoundError, NotFoundError.session.turnArtifacts

Coding

MethodPathSummaryoperationId
POST/coding/chat/sessionCreate right sidebar Chat session Body: model; Errors: AuthReadError.coding.chat.session.create
DELETE/coding/chat/session/{sessionID}Delete right sidebar Chat session Errors: LogFileNotFoundError, NotFoundError.coding.chat.session.delete
GET/coding/chat/session/{sessionID}Claim right sidebar Chat session Errors: LogFileNotFoundError, NotFoundError.coding.chat.session.get
PATCH/coding/chat/session/{sessionID}Update right sidebar Chat session Body: title; Errors: LogFileNotFoundError, NotFoundError.coding.chat.session.update
POST/coding/chat/session/{sessionID}/abortAbort right sidebar Chat session Errors: LogFileNotFoundError, NotFoundError, TaskCancellationIncompleteError.coding.chat.session.abort
PATCH/coding/chat/session/{sessionID}/archiveArchive or restore right sidebar Chat session Body: archived; Errors: LogFileNotFoundError, NotFoundError, TaskCancellationIncompleteError.coding.chat.session.setArchived
PATCH/coding/chat/session/{sessionID}/selectionUpdate right sidebar Chat task selection Body: taskID; Errors: LogFileNotFoundError, NotFoundError.coding.chat.session.selection.update
GET/coding/chat/sessionsList right sidebar Chat sessions Errors: BadRequestError.coding.chat.sessions.list
POST/coding/cli/openOpen coding CLI Body: cliID, cwd, terminalProfileID; Errors: BadRequestError.coding.cli.open
GET/coding/cli/profilesList installed coding CLIs Errors: BadRequestError.coding.cli.profiles
POST/coding/work/sessionCreate right sidebar Work session Body: model; Errors: AuthReadError.coding.work.session.create
DELETE/coding/work/session/{sessionID}Delete right sidebar Work session Errors: LogFileNotFoundError, NotFoundError.coding.work.session.delete
GET/coding/work/session/{sessionID}Claim right sidebar Work session Errors: LogFileNotFoundError, NotFoundError.coding.work.session.get
PATCH/coding/work/session/{sessionID}Update right sidebar Work session Body: title; Errors: LogFileNotFoundError, NotFoundError.coding.work.session.update
POST/coding/work/session/{sessionID}/abortAbort right sidebar Work session Errors: LogFileNotFoundError, NotFoundError, TaskCancellationIncompleteError.coding.work.session.abort
PATCH/coding/work/session/{sessionID}/archiveArchive or restore right sidebar Work session Body: archived; Errors: LogFileNotFoundError, NotFoundError, TaskCancellationIncompleteError.coding.work.session.setArchived
PATCH/coding/work/session/{sessionID}/selectionUpdate right sidebar Work task selection Body: taskID; Errors: LogFileNotFoundError, NotFoundError.coding.work.session.selection.update
GET/coding/work/sessionsList right sidebar Work sessions Errors: BadRequestError.coding.work.sessions.list

Channel

MethodPathSummaryoperationId
GET/channelList channelschannel.list
POST/channel/attachmentCreate a temporary channel attachment URL Body: data, filename, mime; Errors: BadRequestError.channel.attachment.create
GET/channel/attachment/{id}Read a temporary channel attachment Errors: LogFileNotFoundError, NotFoundError.channel.attachment.get
POST/channel/messageHandle channel message Body: allow_create, allow_session_mutation, attachments, bind, channel, model, platform, request_id, source, task_id, text, thread, user_id.channel.message
GET/channel/runtimeGet managed channel runtimechannel.runtime
POST/channel/runtime/restartRestart managed channel runtimechannel.runtime.restart

Gateway

MethodPathSummaryoperationId
GET/gateway/capabilitiesList gateway capabilitiesgateway.capabilities
POST/gateway/channel/{platform}/messageHandle gateway channel message Body: allow_create, allow_session_mutation, attachments, bind, channel, model, platform, request_id, source, task_id, text, thread, user_id.gateway.channel.message
POST/gateway/control/actionRun gateway control action Body: acceptance_specs, action, allow_create, artifact_locator_ref, artifact_transport_version, artifact_types, byte_offset, channel, checks, created_at_or_after_ms, created_before_ms, delivery, directory, evidence_read_refs, expectedPackageDigest, goalID, goal_ids, id, import_source_task_ids, includeInteractions, interactionID, kinds, labels, match, max_bytes, media_types, message, metadata, model, page_number, platform, producer_agent_ids, producer_session_ids, producer_squad_ids, productPillar, promptProfile, query, reason, reply, request, request_id, sessionID, sort, source, sources, summary, taskID, taskIDs, task_acceptances, terminal_lifecycle_reference, text, thread, title, user_id, version_scope, workflowCursor.gateway.control.action
POST/gateway/control/messageHandle gateway control message Body: allow_create, attachments, channel, model, request_id, sessionID, source, surface, taskID, text, thread, user_id.gateway.control.message
GET/gateway/statsGet gateway statsgateway.stats

Attachment

MethodPathSummaryoperationId
POST/attachmentUpload a conversation attachmentattachment.create
POST/attachment/directory-referenceReference a local directory Body: path.attachment.createDirectoryReference
GET/attachment/{projectID}/{name}Fetch a task attachmentattachment.get

Panel

MethodPathSummaryoperationId
GET/panel/capabilitiesList panel capabilitiespanel.capabilities
GET/panel/knowledge/memoryList memory files for current projectpanel.knowledge.memory.list
POST/panel/knowledge/memory/searchSearch memories Body: limit, query.panel.knowledge.memory.search
DELETE/panel/knowledge/memory/{id}Delete memory file Errors: LogFileNotFoundError, NotFoundError.panel.knowledge.memory.delete
GET/panel/knowledge/memory/{id}Get memory file content (all chunks) Errors: LogFileNotFoundError, NotFoundError.panel.knowledge.memory.get
POST/panel/messageHandle desktop panel message Body: allow_create, attachments, channel, model, request_id, sessionID, source, surface, taskID, text, thread, user_id; Errors: MissionSessionAuthorityError.panel.message
POST/panel/message/streamHandle desktop panel message with streaming Body: allow_create, attachments, channel, model, request_id, sessionID, source, surface, taskID, text, thread, user_id; Errors: MissionSessionAuthorityError.panel.message.stream

Expert Squad

MethodPathSummaryoperationId
GET/expert-squad/catalogResolve the active expert-squad capability projection Errors: AuthReadError, BadRequestError, NotFoundError, UnknownError.expertSquad.catalog
GET/expert-squad/configurationGet expert squad configuration Errors: ExpertSquadPackageError.expertSquad.configuration.get
PUT/expert-squad/configurationUpdate expert squad configuration Body: id, installationScope, updates; Errors: ExpertSquadPackageError.expertSquad.configuration.update
GET/expert-squad/diagnosticsPage Expert Squad discovery diagnostics Errors: BadRequestError, UnknownError.expertSquad.diagnostics
POST/expert-squad/evolution-authorizationAuthorize an expert squad evolution mutation Body: confirmationText, intent, sessionID, taskID; Errors: ExpertSquadPackageError.expertSquad.evolutionAuthorization
GET/expert-squad/evolution-historyRead expert squad evolution history Errors: ExpertSquadPackageError.expertSquad.evolutionHistory
POST/expert-squad/evolution-history/detailRead one exact expert squad evolution campaign Body: campaignLocator, campaignTaskID, candidateLocator, catalogRevisionUpper, comparisonLocator, id, installationScope, namespace; Errors: EvolutionHistoryAuthorityError, ExpertSquadPackageError.expertSquad.evolutionHistoryDetail
POST/expert-squad/evolution-mutationExecute an authorized expert squad evolution mutation Body: authorization, campaignSpecLocator, candidateRevisionLocator, comparisonResultLocator, expectedCurrentPackageDigest, operation, priorReceiptLocator, restorePackageDigest; Errors: ExpertSquadPackageError, ExpertSquadPackageMutationConflictError.expertSquad.evolutionMutation
POST/expert-squad/exportExport an expert squad ZIP archive Body: id, installationScope; Errors: ExpertSquadPackageError.expertSquad.export
POST/expert-squad/import-exact-fileImport an exact hosted expert squad ZIP revision Body: archiveBase64, expectedCurrentPackageDigest, expectedID, expectedNamespace, expectedPackageDigest, expectedVersion, filename, installationScope; Errors: ExpertSquadPackageError, ExpertSquadPackageMutationConflictError.expertSquad.importExactFile
POST/expert-squad/import-fileImport an expert squad ZIP archive Body: archiveBase64, expectedCurrentPackageDigest, filename, installationScope; Errors: ExpertSquadPackageError, ExpertSquadPackageMutationConflictError.expertSquad.importFile
POST/expert-squad/import-folderImport an expert squad folder Body: expectedCurrentPackageDigest, installationScope, sourceDirectory; Errors: ExpertSquadPackageError, ExpertSquadPackageMutationConflictError.expertSquad.importFolder
GET/expert-squad/inspectInspect one expert-squad declaration Errors: BadRequestError, NotFoundError, UnknownError.expertSquad.inspect
POST/expert-squad/install-payloadInstall one bundled expert squad Body: id, installationScope; Errors: ExpertSquadPackageError, ExpertSquadPackageMutationConflictError.expertSquad.installPayload
GET/expert-squad/inventory-statusGet expert-squad inventory status Errors: BadRequestError, UnknownError.expertSquad.inventoryStatus
GET/expert-squad/marketBrowse bundled expert squads Errors: ExpertSquadPackageError.expertSquad.market
GET/expert-squad/market/detailInspect one bundled expert squad Errors: ExpertSquadPackageError, NotFoundError.expertSquad.marketDetail
POST/expert-squad/multica/previewPreview a Multica squad import Body: mapping, squadID; Errors: ExpertSquadPackageError.expertSquad.multicaPreview
GET/expert-squad/multica/squadsList Multica squads with expert-squad installation status Errors: ExpertSquadPackageError.expertSquad.multicaSquads
POST/expert-squad/release-payloadRelease bundled expert-squad packages Errors: ExpertSquadPackageError, ExpertSquadPackageMutationConflictError.expertSquad.releasePayload
GET/expert-squad/searchSearch expert-squad declarations Errors: BadRequestError, UnknownError.expertSquad.search
GET/expert-squad/settings/detailLoad one full expert-squad settings declaration Errors: BadRequestError, NotFoundError, UnknownError.expertSquad.settingsDetail
POST/expert-squad/uninstallUninstall an expert squad package Body: id, installationScope, replacementID; Errors: AuthReadError, ExpertSquadPackageError.expertSquad.uninstall
POST/expert-squad/updateUpdate an installed expert squad Body: expectedCurrentPackageDigest, id, installationScope, source; Errors: ExpertSquadPackageError, ExpertSquadPackageMutationConflictError.expertSquad.update
POST/expert-squad/validate-folderValidate an expert squad source folder Body: sourceDirectory; Errors: ExpertSquadPackageError.expertSquad.validateFolder

Mission Skill

MethodPathSummaryoperationId
GET/mission-skill/catalogList Mission Skills Errors: BadRequestError, LogFileNotFoundError, NotFoundError, UnknownError.missionSkill.catalog
POST/mission-skill/directoryPrepare Mission Skill Directory Body: source; Errors: BadRequestError, LogFileNotFoundError, NotFoundError, UnknownError.missionSkill.directory
GET/mission-skill/settingsInspect Mission Skill Settings Errors: BadRequestError, LogFileNotFoundError, NotFoundError, UnknownError.missionSkill.settings

Conversation Capabilities

MethodPathSummaryoperationId
GET/chat/capabilityInspect native Chat capabilities Errors: UnknownError.chat.capability.get
PATCH/chat/capabilityUpdate native Chat capability assignments Errors: BadRequestError, UnknownError.chat.capability.update
GET/work/capabilityInspect native Work capabilities Errors: UnknownError.work.capability.get
PATCH/work/capabilityUpdate native Work capability assignments Errors: BadRequestError, UnknownError.work.capability.update

Skill

MethodPathSummaryoperationId
GET/agentList primary assistantsapp.agents
GET/skillList skillsapp.skills
GET/skill/directoriesGet skill directoriesskill.directories
POST/skill/import-fileImport a dropped skill source Body: archiveBase64, content, filename, files, policy, sourceName.skill.importFile
POST/skill/installInstall or import a skill source Body: kind, policy, value.skill.install
GET/skill/installedList installed skillsskill.installed
GET/skill/issuesList Skill catalog issuesskill.issues
GET/skill/marketList skill marketsskill.market
PATCH/skill/mountSet a qualified skill mount override Body: agentID, defaultSkillRef, expertSquadID, override, scope, sessionID.skill.setMountOverride
GET/skill/mountsList agent skill mountsskill.mounts
POST/skill/policySet skill permission policy Body: action, name.skill.policy
POST/skill/removeRemove a skill source Body: kind, source.skill.remove
POST/skill/updateUpdate an installed skill Body: name, source.skill.update

Export

MethodPathSummaryoperationId
GET/export/session/{sessionID}Export session messages Errors: LogFileNotFoundError, NotFoundError.export.session

QuickNote

MethodPathSummaryoperationId
POST/api/v1/notesCreate QuickNote Errors: BadRequestError.quicknote.create

Computer

MethodPathSummaryoperationId
POST/computer/returnReturn the current desktop to Agent automation Body: computerID, displayID, sessionID; Errors: BadRequestError, UnknownError.computer.return
POST/computer/statusGet Computer desktop ownership Body: computerID, displayID, sessionID; Errors: BadRequestError, UnknownError.computer.status
POST/computer/takeoverTake over the current desktop Body: computerID, displayID, sessionID; Errors: BadRequestError, UnknownError.computer.takeover

MCP

MethodPathSummaryoperationId
DELETE/mcpRemove project MCP servers Errors: BadRequestError, LogFileNotFoundError, NotFoundError, UnknownError.mcp.remove
GET/mcpGet MCP statusmcp.status
POST/mcpAdd MCP server Body: config, credentialSecret, name; Errors: BadRequestError.mcp.add
GET/mcp/projectGet project-owned MCP statusmcp.project.status
DELETE/mcp/{name}/authRemove MCP OAuth Errors: LogFileNotFoundError, NotFoundError, UnknownError.mcp.auth.remove
POST/mcp/{name}/authStart MCP OAuth Errors: BadRequestError, LogFileNotFoundError, NotFoundError, UnknownError.mcp.auth.start
POST/mcp/{name}/auth/authenticateAuthenticate MCP OAuth Errors: BadRequestError, LogFileNotFoundError, NotFoundError, UnknownError.mcp.auth.authenticate
POST/mcp/{name}/auth/callbackComplete MCP OAuth Body: code, state; Errors: BadRequestError, LogFileNotFoundError, MCPOAuthStateError, NotFoundError, UnknownError.mcp.auth.callback
POST/mcp/{name}/connect(no summary) Errors: LogFileNotFoundError, NotFoundError, UnknownError.mcp.connect
POST/mcp/{name}/disconnect(no summary) Errors: LogFileNotFoundError, NotFoundError.mcp.disconnect

Permission

MethodPathSummaryoperationId
GET/permissionList durable pending permission requestspermission.list
GET/permission/grantsList active permission grantspermission.grants
POST/permission/grants/{grantID}/revokeRevoke an active permission grant Errors: LogFileNotFoundError, NotFoundError.permission.revoke
GET/permission/historyList permission ledger historypermission.history
POST/permission/{requestID}/replyDecide a pending permission request Body: actorID, decision, message; Errors: BadRequestError, LogFileNotFoundError, NotFoundError.permission.reply

Provider

MethodPathSummaryoperationId
GET/providerList providersprovider.list
GET/provider/authGet provider auth methodsprovider.auth
POST/provider/discover-modelsDiscover OpenAI-compatible provider models Body: api, apiKey, providerID; Errors: AuthReadError, BadRequestError.provider.discover.models
POST/provider/models/refreshRefresh configured provider model lists Errors: AuthReadError.provider.models.refresh
POST/provider/refreshRefresh the provider registryprovider.refresh
DELETE/provider/{providerID}Delete a project provider Errors: AuthReadError, BadRequestError.provider.remove
GET/provider/{providerID}/account-usageGet Provider account usage Errors: AuthReadError.provider.account.usage
POST/provider/{providerID}/auth/executeExecute auth method Body: inputs, method; Errors: AuthReadError, BadRequestError.provider.auth.execute
POST/provider/{providerID}/auth/promptsGet auth prompts Body: inputs, method; Errors: BadRequestError.provider.auth.prompts
POST/provider/{providerID}/oauth/authorizeOAuth authorize Body: inputs, method; Errors: BadRequestError.provider.oauth.authorize
POST/provider/{providerID}/oauth/callbackOAuth callback Body: code, method; Errors: AuthReadError, BadRequestError.provider.oauth.callback
POST/provider/{providerID}/testTest provider connection Body: modelID; Errors: AuthReadError, BadRequestError.provider.test

Question

MethodPathSummaryoperationId
GET/questionList pending questionsquestion.list
POST/question/{requestID}/rejectReject question request Errors: BadRequestError, LogFileNotFoundError, NotFoundError.question.reject
POST/question/{requestID}/replyReply to question request Body: answers; Errors: BadRequestError, LogFileNotFoundError, NotFoundError.question.reply

PTY

MethodPathSummaryoperationId
GET/ptyList PTY sessionspty.list
POST/ptyCreate PTY session Body: cwd, profileID, title; Errors: BadRequestError.pty.create
DELETE/pty/{ptyID}Remove PTY session Errors: LogFileNotFoundError, NotFoundError.pty.remove
GET/pty/{ptyID}Get PTY session Errors: LogFileNotFoundError, NotFoundError.pty.get
PUT/pty/{ptyID}Update PTY session Body: size, title; Errors: BadRequestError, LogFileNotFoundError, NotFoundError.pty.update
POST/pty/{ptyID}/inputWrite PTY input Body: data; Errors: LogFileNotFoundError, NotFoundError.pty.input
GET/pty/{ptyID}/outputStream PTY output Errors: LogFileNotFoundError, NotFoundError.pty.output
POST/terminal/openOpen system terminal Body: cwd, profileID; Errors: BadRequestError.terminal.open
GET/terminal/profilesList system terminal profiles Errors: BadRequestError.terminal.profiles
MethodPathSummaryoperationId
GET/fileList filesfile.list
GET/file/contentRead file Errors: FileNotFoundError, UnknownError.file.read
PATCH/file/contentWrite file Body: content, path; Errors: BadRequestError, LogFileNotFoundError, NotFoundError, UnknownError.file.write
DELETE/file/itemDelete file item Errors: BadRequestError, LogFileNotFoundError, NotFoundError.file.delete
PATCH/file/itemMove file item Body: newPath, path; Errors: BadRequestError, LogFileNotFoundError, NotFoundError, TaskCancellationIncompleteError.file.move
POST/file/itemCreate file item Body: content, path, type; Errors: BadRequestError, LogFileNotFoundError, NotFoundError, TaskCancellationIncompleteError.file.create
POST/file/item/copyCopy file item Body: newPath, path; Errors: BadRequestError, LogFileNotFoundError, NotFoundError, TaskCancellationIncompleteError.file.copy
GET/file/source-contentRead an absolute source file Errors: BadRequestError, FileInvalidPathError, FileNotFoundError, UnknownError.file.readSource
GET/file/statusGet file statusfile.status
POST/file/uploadUpload files Body: files, targetDir; Errors: BadRequestError, TaskCancellationIncompleteError.file.upload
GET/findFind text Errors: UnknownError.find.text
GET/find/fileFind files Errors: UnknownError.find.files
GET/find/symbolFind symbolsfind.symbols
GET/lspGet LSP statuslsp.status

Experimental

MethodPathSummaryoperationId
GET/experimental/event-scheduleList event-triggered tasks Errors: BadRequestError.experimental.eventschedule.list
POST/experimental/event-scheduleCreate event-triggered task Body: cooldownMs, eventType, match, name, oneShot, prompt, sessionId; Errors: BadRequestError, LogFileNotFoundError, NotFoundError.experimental.eventschedule.create
DELETE/experimental/event-schedule/{id}Cancel event-triggered task Errors: BadRequestError, LogFileNotFoundError, NotFoundError.experimental.eventschedule.delete
GET/experimental/memoryGet the Session MEMORY.MD document Errors: LogFileNotFoundError, NotFoundError.experimental.memory.get
GET/experimental/project-memoryGet the organized Project MEMORY.MD contextexperimental.projectMemory.get
POST/experimental/project-memory/notice/acknowledgeAcknowledge a Project MEMORY.MD notice Body: generation.experimental.projectMemory.acknowledgeNotice
POST/experimental/project-memory/organizeRequest Project MEMORY.MD organizationexperimental.projectMemory.organize
GET/experimental/resourceGet MCP resources Errors: UnknownError.experimental.resource.list
GET/experimental/task-planList tasks for a session Errors: LogFileNotFoundError, NotFoundError.experimental.taskplan.list
GET/experimental/toolList tools Errors: BadRequestError.tool.list
GET/experimental/tool/idsList tool IDs Errors: BadRequestError.tool.ids
GET/experimental/workspaceList workspacesexperimental.workspace.list
DELETE/experimental/workspace/{id}Remove workspace Errors: BadRequestError, LogFileNotFoundError, NotFoundError.experimental.workspace.remove
POST/experimental/workspace/{id}Create workspace Errors: BadRequestError.experimental.workspace.create
DELETE/experimental/worktreeRemove worktree Errors: BadRequestError, LogFileNotFoundError, NotFoundError, WorktreeOwnershipObservationError.worktree.remove
GET/experimental/worktreeList worktreesworktree.list
POST/experimental/worktreeCreate worktree Errors: BadRequestError.worktree.create
POST/experimental/worktree/resetReset worktree Errors: BadRequestError, LogFileNotFoundError, NotFoundError.worktree.reset